org.eclipse.jetty.jndi

## Interface NamingContext.Listener

Enclosing class:
  NamingContext

    public static interface NamingContext.Listener

Naming Context Listener.

### Method Summary

Methods
`Binding` `bind(NamingContext ctx, Binding binding)` Called by `NamingContext.addBinding(Name, Object)` when adding a binding.
`void` `unbind(NamingContext ctx, Binding binding)`

### Method Detail

#### bind

    Binding bind(NamingContext ctx,
               Binding binding)

Called by `NamingContext.addBinding(Name, Object)` when adding a binding.

Parameters:
  `ctx` - The context to add to.
  `binding` - The binding to add.
Returns:
  The binding to bind, or null if the binding should be ignored.

#### unbind

    void unbind(NamingContext ctx,
              Binding binding)

Parameters:
  `ctx` - The context to unbind from
  `binding` - The binding that was unbound.